## org.apache.fop.layout
Class Box

    java.lang.Object
      |
      +--org.apache.fop.layout.Box

Direct Known Subclasses:
  Area, Space

public abstract class Box
extends java.lang.Object

Field Summary
`protected AreaTree` `areaTree`
`protected Area` `parent`

Constructor Summary
`Box()`

Method Summary
`abstract void` `render(Renderer renderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected Area parent

### areaTree

    protected AreaTree areaTree

Constructor Detail

### Box

    public Box()

Method Detail

### render

    public abstract void render(Renderer renderer)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.